Create an income record
curl --request POST \
--url https://api.failfast.ai/treasury/income/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation_date": "2023-11-07T05:31:56Z",
"total_value": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stakeholder": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"is_bank_destination": true,
"deposit_reference": "<string>",
"deposit_date": "2023-12-25",
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/treasury/income/"
payload = {
"operation_date": "2023-11-07T05:31:56Z",
"total_value": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stakeholder": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": None,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"is_bank_destination": True,
"deposit_reference": "<string>",
"deposit_date": "2023-12-25",
"is_directly_created": True,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operation_date: '2023-11-07T05:31:56Z',
total_value: '<string>',
operation: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
branch_office: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stakeholder: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: null,
operation_number: 0,
description: '<string>',
status_description: '<string>',
is_bank_destination: true,
deposit_reference: '<string>',
deposit_date: '2023-12-25',
is_directly_created: true,
market_exchange_rate: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_detail: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
category: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_account: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cash_register: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/treasury/income/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"total_value": "<string>",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stakeholder": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"is_bank_destination": true,
"deposit_reference": "<string>",
"deposit_date": "2023-12-25",
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Treasury
Create an income record
Create a new record with optional child records.
POST
/
treasury
/
income
/
Create an income record
Authorizations
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
INV- InvoiceADV- AdvanceOTH- OtherREF- RefundLCP- Loan CxPCHK- Postdated Check
Available options:
INV, ADV, OTH, REF, LCP, CHK Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Required range:
0 <= x <= 2147483647PR- ProvisionalCO- CompleteER- Error
Available options:
PR, CO, ER ⌘I

